%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 16

%global py_major 3.9

%global python_major python%{py_major}

%global srcname Flask

%global pkgname flask

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        2.3.2
Release:        1
Summary:        A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions
License:        BSD
URL:            https://flask.palletsprojects.com
Source0:        https://files.pythonhosted.org/packages/source/f/%{pkgname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-blinker >= 1.6.2
Requires:       %{python_major}-click >= 8.1.6
Requires:       %{python_major}-importlib-metadata >= 6.8.0
Requires:       %{python_major}-itsdangerous >= 2.1.2
Requires:       %{python_major}-jinja2 >= 3.1.2
Requires:       %{python_major}-werkzeug >= 2.3.6


%description
Flask is a lightweight WSGI web application framework. It is designed
to make getting started quick and easy, with the ability to scale up
to complex applications. It began as a simple wrapper around Werkzeug
and Jinja and has become one of the most popular Python web application
frameworks.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-blinker >= 1.6.2
Requires:      python3-click >= 8.1.6
Requires:      python3-importlib-metadata >= 6.8.0
Requires:      python3-itsdangerous >= 2.1.2
Requires:      python3-jinja2 >= 3.1.2
Requires:      python3-werkzeug >= 2.3.6

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}


%build
#NOTHING TO DO

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps

cd %{buildroot}%{_bindir}
mv flask flask-%{py_major}
ln -sf flask-%{py_major} flask


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m pip install examples/javascript --root %{buildroot} 
%{python_major} -m pip install examples/tutorial --root %{buildroot}
( %{python_major} -m pytest || true )

%endif


%files
%defattr(-,root,system,-)
%license LICENSE.rst
%doc README.rst
%{_bindir}/flask-%{py_major}
%{python3_sitearch}/Flask*
%{python3_sitearch}/flask

%files -n %{meta_package}
%defattr(-,root,system,-)
%{_bindir}/flask


%changelog
* Thu Sep 21 2023 Ayappan Perumal <ayappap2@in.ibm.com> - 2.3.2-1
- First port to AIX
